Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre

Notices

Reply
 
Thread Tools Search this Thread
Old 03-09-2017, 03:42 PM   #1
Code_Hunter
Junior Member
Code_Hunter began at the beginning.
 
Posts: 2
Karma: 10
Join Date: Mar 2017
Device: Kobo
Calibre in XP

Is it really so hard to make Calibre work in XP?

Explanation given is that the problem is QT5 compatibility, although lookin for info on XP compatibility, it is possible.

Why not have a main version that is the latest version and a version for XP that is labeled as 'XP Compatible' and compiled for XP that is the latest version?
Code_Hunter is offline   Reply With Quote
Advert
Old 03-09-2017, 04:11 PM   #2
BetterRed
null operator
BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.
 
Posts: 8,071
Karma: 6993173
Join Date: Mar 2012
Location: Sydney Australia
Device: none
This sticky thread may offer some insights ==>> Why can't I install the latest calibre on Windows XP?

You can download version 1.48, which is the last version before the switch to Qt5, from the calibre download pages, look for "Previous releases of calibre are available here" under the Donate button.

BR
BetterRed is offline   Reply With Quote
Old 03-09-2017, 05:17 PM   #3
theducks
Well trained by Cats
theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.
 
theducks's Avatar
 
Posts: 20,040
Karma: 19426644
Join Date: Aug 2009
Location: (The original) Silicon Valley, USA
Device: Astak Pocket Pro, K4NT,Galaxy Tab 2
It is more than Just XP.
Some of thos boxes have outdated CPU's (AMD Athelon) that do not have SSE2 capability. (I know, because I own one and it affects other than just Calibre )

If yours is an Intel box... You could probably Dual Boot Linux Mint and stretch a bit mor life out of it
theducks is online now   Reply With Quote
Old 03-10-2017, 01:14 PM   #4
drjenkins
Groupie
drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.
 
Posts: 186
Karma: 1131450
Join Date: Nov 2010
Device: Kindle
If you insist on running an unsupported operating system, you owe it to yourself to fully appreciate the consequences. It is not only Microsoft that no longer supports XP, most developers no longer test on XP - more and more are flat out saying "versions newer that #.# will not run on XP".
drjenkins is offline   Reply With Quote
Old 03-18-2017, 04:41 AM   #5
Code_Hunter
Junior Member
Code_Hunter began at the beginning.
 
Posts: 2
Karma: 10
Join Date: Mar 2017
Device: Kobo
Quote:
Originally Posted by drjenkins View Post
If you insist on running an unsupported operating system, you owe it to yourself to fully appreciate the consequences. It is not only Microsoft that no longer supports XP, most developers no longer test on XP - more and more are flat out saying "versions newer that #.# will not run on XP".
I am FULLY aware of the consequences of using an old (and outdated) operating system and the results. I have multiple reasons for running XP, and I accept the responsibility. I was just asking because I didn't think it would be that difficult. I do some programming, although it can be considered amateur stuff.

I do find it quite funny how fast (warp speed) XP has been abolished, and yet
98 can still find little updates even today although getting less and less.

On a side note, I do have a Linux Machine that runs the latest Calibre.
Code_Hunter is offline   Reply With Quote
Advert
Old 03-18-2017, 05:24 AM   #6
Terisa de morgan
Wizard
Terisa de morgan ought to be getting tired of karma fortunes by now.Terisa de morgan ought to be getting tired of karma fortunes by now.Terisa de morgan ought to be getting tired of karma fortunes by now.Terisa de morgan ought to be getting tired of karma fortunes by now.Terisa de morgan ought to be getting tired of karma fortunes by now.Terisa de morgan ought to be getting tired of karma fortunes by now.Terisa de morgan ought to be getting tired of karma fortunes by now.Terisa de morgan ought to be getting tired of karma fortunes by now.Terisa de morgan ought to be getting tired of karma fortunes by now.Terisa de morgan ought to be getting tired of karma fortunes by now.Terisa de morgan ought to be getting tired of karma fortunes by now.
 
Terisa de morgan's Avatar
 
Posts: 4,030
Karma: 4080089
Join Date: Jun 2009
Location: Madrid, Spain
Device: Kobo Aura, Kobo Aura One, XiaoMI 5, iPad, Huawei MediaPad, YotaPhone 2
When you do amateur stuff for yourself, maintenance is not something you usually keep in mind.

Last edited by Terisa de morgan; 03-18-2017 at 05:24 AM. Reason: Typo
Terisa de morgan is offline   Reply With Quote
Old 03-20-2017, 09:11 AM   #7
drjenkins
Groupie
drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.drjenkins ought to be getting tired of karma fortunes by now.
 
Posts: 186
Karma: 1131450
Join Date: Nov 2010
Device: Kindle
While we're discussing unsupported operating systems, Windows Vista goes End of Life on 11 April, 2017.

https://support.microsoft.com/en-us/help/22882
Quote:
Also, as more software and hardware manufacturers continue to optimize for more recent versions of Windows, you can expect to encounter more apps and devices that do not work with Windows Vista.
drjenkins is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
calibre-sync: Automatically download books from your Calibre Content Server onto Kobo mishagale Related Tools 8 Yesterday 08:38 PM
Calibre Companion: upcoming calibre 1.13 release forces full metadata send chaley Calibre Companion 3 12-04-2013 11:20 AM
Calibre Sync on Android stopped working properly with recent version of Calibre? khahoon Calibre 5 07-06-2013 08:14 AM
How do I import Calibre settings from regular Win Calibre to Calibre Portable? ABW Calibre 9 05-20-2013 02:34 PM
Can not start recoll from calibre /opt/calibre/lib/libz.so.1: no version information Satas Development 5 04-19-2013 11:22 PM


All times are GMT -4. The time now is 09:44 PM.


MobileRead.com is a privately owned, operated and funded community.